IO::SingularIdealWriter Class Reference
Inheritance diagram for IO::SingularIdealWriter:

## Public Member Functions

| SingularIdealWriter (FILE *out)
Public Member Functions inherited from IO::IdealWriter
| IdealWriter (FILE *out)
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | consume (const Term &term, const TermTranslator &translator)
virtual void | consume (const vector< mpz_class > &term)
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
virtual void | consume (const BigIdeal &ideal)
FILE * | getFile ()
const VarNames & | getNames ()
Public Member Functions inherited from BigTermConsumer
virtual | ~BigTermConsumer ()
virtual void | consume (const Term &term)
| Consume a term.
virtual void | consume (unique_ptr< BigIdeal > ideal)
void | beginConsuming (const VarNames &names)
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Private Member Functions

virtual void | doWriteHeader (bool first)
virtual void | doWriteTerm (const Term &term, const TermTranslator &translator, bool first)
virtual void | doWriteTerm (const vector< mpz_class > &term, bool first)
virtual void | doWriteFooter (bool wasZeroIdeal)
virtual void | doWriteEmptyList ()

## Detailed Description

Definition at line 39 of file SingularIOHandler.cpp.

## Constructor & Destructor Documentation

## SingularIdealWriter()

IO::SingularIdealWriter::SingularIdealWriter | ( | FILE * | out | ) |

inline

Definition at line 41 of file SingularIOHandler.cpp.

## Member Function Documentation

## doWriteEmptyList()

virtual void IO::SingularIdealWriter::doWriteEmptyList | ( |  | ) |

inline private virtual

Implements IO::IdealWriter.

Definition at line 69 of file SingularIOHandler.cpp.

## doWriteFooter()

virtual void IO::SingularIdealWriter::doWriteFooter | ( | bool | wasZeroIdeal | ) |

inline private virtual

Implements IO::IdealWriter.

Definition at line 63 of file SingularIOHandler.cpp.

## doWriteHeader()

virtual void IO::SingularIdealWriter::doWriteHeader | ( | bool | first | ) |

inline private virtual

Implements IO::IdealWriter.

Definition at line 45 of file SingularIOHandler.cpp.

## doWriteTerm() [1/2]

virtual void IO::SingularIdealWriter::doWriteTerm | ( | const Term & | term,
|  | const TermTranslator & | translator,
|  | bool | first )

inline private virtual

Implements IO::IdealWriter.

Definition at line 50 of file SingularIOHandler.cpp.

## doWriteTerm() [2/2]

virtual void IO::SingularIdealWriter::doWriteTerm | ( | const vector< mpz_class > & | term,
|  | bool | first )

inline private virtual

Implements IO::IdealWriter.

Definition at line 57 of file SingularIOHandler.cpp.

The documentation for this class was generated from the following file:

- src/SingularIOHandler.cpp